Bug 1271887 - LVMError: lvactivate failed for root: running lvm lvchange -a y --config devices { preferred_names=["^/dev/mapper/", "^/dev/md/", "^/dev/sd"] } fedora/root failed
LVMError: lvactivate failed for root: running lvm lvchange -a y --config dev...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:acf276f3b2b83da8d3e987d4d8a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 20:54 EDT by dipesh
Modified: 2015-12-02 13:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:42:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (352.01 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: anaconda.log (4.70 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: environ (614 bytes, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: journalctl (156.11 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: lsblk_output (3.16 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: nmcli_dev_list (1.97 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: os_info (377 bytes, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: program.log (26.39 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: storage.log (167.76 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details
File: ifcfg.log (1.76 KB, text/plain)
2015-10-14 20:54 EDT, dipesh
no flags Details

  None (edit)
Description dipesh 2015-10-14 20:54:13 EDT
Description of problem:
cause due to resizing root partition ..

Version-Release number of selected component:
anaconda-core-21.48.21-1.fc21.x86_64

The following was filed automatically by anaconda:
anaconda 21.48.21-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/lvm.py", line 532, in lvactivate
    raise LVMError("lvactivate failed for %s: %s" % (lv_name, msg))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 3226, in _setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 876, in setup
    self._setup(orig=orig)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1480, in addLV
    lv_device.setup()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1496, in handleVgLvs
    addLV(lv)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1553, in handleUdevLVMPVFormat
    self.handleVgLvs(vg_device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1884, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1233, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2170, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2105, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 480, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 183, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
LVMError: lvactivate failed for root: running lvm lvchange -a y --config  devices { preferred_names=["^/dev/mapper/", "^/dev/md/", "^/dev/sd"] }  fedora/root failed

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=UUID=4261-1BCE rootfstype=vfat ro rd.live.image quiet rhgb rd.luks=0 rd.md=0 rd.dm=0
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.x86_64
other involved packages: python-blivet-0.61.13-1.fc21.noarch, python-libs-2.7.8-7.fc21.x86_64
product:        Fedora"
release:        Fedora release 21 (Twenty One)
type:           anaconda
version:        Fedora
Comment 1 dipesh 2015-10-14 20:54:17 EDT
Created attachment 1083068 [details]
File: anaconda-tb
Comment 2 dipesh 2015-10-14 20:54:18 EDT
Created attachment 1083069 [details]
File: anaconda.log
Comment 3 dipesh 2015-10-14 20:54:19 EDT
Created attachment 1083070 [details]
File: environ
Comment 4 dipesh 2015-10-14 20:54:21 EDT
Created attachment 1083071 [details]
File: journalctl
Comment 5 dipesh 2015-10-14 20:54:22 EDT
Created attachment 1083072 [details]
File: lsblk_output
Comment 6 dipesh 2015-10-14 20:54:23 EDT
Created attachment 1083073 [details]
File: nmcli_dev_list
Comment 7 dipesh 2015-10-14 20:54:24 EDT
Created attachment 1083074 [details]
File: os_info
Comment 8 dipesh 2015-10-14 20:54:25 EDT
Created attachment 1083075 [details]
File: program.log
Comment 9 dipesh 2015-10-14 20:54:26 EDT
Created attachment 1083076 [details]
File: storage.log
Comment 10 dipesh 2015-10-14 20:54:27 EDT
Created attachment 1083077 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2015-11-04 05:08:05 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-02 10:42:14 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.